Page MenuHomeFreeBSD

stand: create devinit
ClosedPublic

Authored by imp on Nov 10 2022, 6:49 PM.
Tags
None
Referenced Files
F88612860: D37349.diff
Wed, Jul 17, 8:07 AM
F88590869: D37349.id.diff
Wed, Jul 17, 12:28 AM
Unknown Object (File)
Mon, Jul 15, 10:59 AM
Unknown Object (File)
Mon, Jul 15, 5:26 AM
Unknown Object (File)
Fri, Jul 12, 8:51 AM
Unknown Object (File)
Mon, Jul 8, 4:38 AM
Unknown Object (File)
Tue, Jul 2, 9:26 AM
Unknown Object (File)
Jun 15 2024, 1:29 PM
Subscribers

Details

Summary

devinit() marches through all the devices, calling the inint routines if
any exist. Replace all the identical copies of this code.

Sponsored by: Netflix

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

imp requested review of this revision.Nov 10 2022, 6:49 PM

only uboot calls dv_init() outside of this routine. It does lots of special things in its init loop, so I didn't collapse it here.

This revision was not accepted when it landed; it landed in state Needs Review.Nov 30 2022, 10:32 PM
Closed by commit rG66012c8fc4f9: stand: create devinit (authored by imp). · Explain Why
This revision was automatically updated to reflect the committed changes.